/home/travis/build/boostorg/boost/boost/geometry/arithmetic/arithmetic.hpp File Reference

## Namespaces

namespace | boost
namespace | boost::geometry

## Functions

template<typename Point1 , typename Point2 >
void | boost::geometry::add_point (Point1 &p1, Point2 const &p2)
| Adds a point to another.
template<typename Point >
void | boost::geometry::add_value (Point &p, typename detail::param< Point >::type value)
| Adds the same value to each coordinate of a point.
template<typename Point1 , typename Point2 >
void | boost::geometry::assign_point (Point1 &p1, Point2 const &p2)
| Assign a point with another.
template<typename Point >
void | boost::geometry::assign_value (Point &p, typename detail::param< Point >::type value)
| Assign each coordinate of a point the same value.
template<typename Point1 , typename Point2 >
void | boost::geometry::divide_point (Point1 &p1, Point2 const &p2)
| Divides a point by another.
template<typename Point >
void | boost::geometry::divide_value (Point &p, typename detail::param< Point >::type value)
| Divides each coordinate of the same point by a value.
template<typename Point1 , typename Point2 >
void | boost::geometry::multiply_point (Point1 &p1, Point2 const &p2)
| Multiplies a point by another.
template<typename Point >
void | boost::geometry::multiply_value (Point &p, typename detail::param< Point >::type value)
| Multiplies each coordinate of a point by the same value.
template<typename Point1 , typename Point2 >
void | boost::geometry::subtract_point (Point1 &p1, Point2 const &p2)
| Subtracts a point to another.
template<typename Point >
void | boost::geometry::subtract_value (Point &p, typename detail::param< Point >::type value)
| Subtracts the same value to each coordinate of a point.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK